org.apache.sysds.runtime.transform.encode

## Class EncoderPassThrough

- java.lang.Object
- - org.apache.sysds.runtime.transform.encode.Encoder
  - - org.apache.sysds.runtime.transform.encode.EncoderPassThrough

- All Implemented Interfaces:
    Serializable

      public class EncoderPassThrough
      extends Encoder

  Simple composite encoder that applies a list of encoders in specified order. By implementing the default encoder API it can be used as a drop-in replacement for any other encoder.
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `EncoderPassThrough()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `MatrixBlock` | `apply(FrameBlock in, MatrixBlock out)` Encode input data blockwise according to existing transform meta data (transform apply).
    `void` | `build(FrameBlock in)` Build the transform meta data for the given block input.
    `MatrixBlock` | `encode(FrameBlock in, MatrixBlock out)` Block encode: build and apply (transform encode).
    `FrameBlock` | `getMetaData(FrameBlock meta)` Construct a frame block out of the transform meta data.
    `void` | `initMetaData(FrameBlock meta)` Sets up the required meta data for a subsequent call to apply.
    `void` | `mergeAt(Encoder other, int row, int col)` Merges another encoder, of a compatible type, in after a certain position.
    `Encoder` | `subRangeEncoder(IndexRange ixRange)` Returns a new Encoder that only handles a sub range of columns.

    - ### Methods inherited from class org.apache.sysds.runtime.transform.encode.Encoder

      `getColList, getColMapping, getNumCols, initColList, initColList, isApplicable, isApplicable, setColList, updateIndexRanges`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### EncoderPassThrough

          public EncoderPassThrough()

  - ### Method Detail

    - #### encode

          public MatrixBlock encode(FrameBlock in,
                                    MatrixBlock out)

      Description copied from class: `Encoder`
      Block encode: build and apply (transform encode).
      Specified by:
        `encode` in class `Encoder`
      Parameters:
        `in` - input frame block
        `out` - output matrix block
      Returns:
        output matrix block

    - #### build

          public void build(FrameBlock in)

      Description copied from class: `Encoder`
      Build the transform meta data for the given block input. This call modifies and keeps meta data as encoder state.
      Specified by:
        `build` in class `Encoder`
      Parameters:
        `in` - input frame block

    - #### apply

          public MatrixBlock apply(FrameBlock in,
                                   MatrixBlock out)

      Description copied from class: `Encoder`
      Encode input data blockwise according to existing transform meta data (transform apply).
      Specified by:
        `apply` in class `Encoder`
      Parameters:
        `in` - input frame block
        `out` - output matrix block
      Returns:
        output matrix block

    - #### subRangeEncoder

          public Encoder subRangeEncoder(IndexRange ixRange)

      Description copied from class: `Encoder`
      Returns a new Encoder that only handles a sub range of columns.
      Overrides:
        `subRangeEncoder` in class `Encoder`
      Parameters:
        `ixRange` - the range (1-based, begin inclusive, end exclusive)
      Returns:
        an encoder of the same type, just for the sub-range

    - #### mergeAt

          public void mergeAt(Encoder other,
                              int row,
                              int col)

      Description copied from class: `Encoder`
      Merges another encoder, of a compatible type, in after a certain position. Resizes as necessary. `Encoders` are compatible with themselves and `EncoderComposite` is compatible with every other `Encoder`.
      Overrides:
        `mergeAt` in class `Encoder`
      Parameters:
        `other` - the encoder that should be merged in
        `row` - the row where it should be placed (1-based)
        `col` - the col where it should be placed (1-based)

    - #### getMetaData

          public FrameBlock getMetaData(FrameBlock meta)

      Description copied from class: `Encoder`
      Construct a frame block out of the transform meta data.
      Specified by:
        `getMetaData` in class `Encoder`
      Parameters:
        `meta` - output frame block
      Returns:
        output frame block?

    - #### initMetaData

          public void initMetaData(FrameBlock meta)

      Description copied from class: `Encoder`
      Sets up the required meta data for a subsequent call to apply.
      Specified by:
        `initMetaData` in class `Encoder`
      Parameters:
        `meta` - frame block

Copyright © 2020 The Apache Software Foundation. All rights reserved.